Manual talk:Upgrading/ru

From MediaWiki.org
Jump to navigation Jump to search

У меня два вопроса возникло. Во-первых, у меня на одном из проектов стоит версия 1.12.0, хочу обновить до последней стабильной - нужно апгрейдить последовательно, от релиза к релизу(1.12.0 -> 1.12.1 -> 1.12.2 -> .... -> 1.15.0) или сразу(1.12.0 -> 1.15.0). Во-вторых, не совсем понял - копировать файлы новой версии нужно поверх старых? А как быть, если в некоторые(например, шкурки и инклюды) вносились изменения?

Зелёный Кошак 00:26, 25 July 2009 (UTC)

1. Можно сразу 1.12.0 -> 1.15.1.
2. Нужно сделать бэкап, отложив в сторону существующую настройку. После апгрейда придётся аккуратно внести изменения в файлы новой версии. Насколько я знаю (но мои знания здесь достаточно ограничены) при апгрейде подхватываются только сеттинги.
--Kaganer 07:35, 27 July 2009 (UTC)

Использование *.patch.gz package[edit]

Пожалуйста опишите как ставить обновления из файла *.patch.gz. На Ubuntu/Debian. Спасибо. -- Wikipro 15:53, 1 апреля 2012‎

А как применять патчи? К примеру, у меня сейчас 1.14.0, есть файл mediawiki-1.15.0.patch Как его запускать чтобы все верно обновилось? --Majestic den 16:38, 7 September 2009 (UTC)


Не проходит авторизация пользователей[edit]

После обновления с 1.26 до 1.27 не получается авторизоваться существующим пользователям и зарегистрироваться новым. Выкидывает на пустую страницу. Весь остальной функционал работает. Кто-нибудь знает в чём может быть дело. Пока ответа нигде не нашёл.